## Description of Changes
<!--Describe (in detail) the changes in the pull request here.-->

## Motivation and Context
<!--Why is this change required? What problem does it solve? What does this add?-->

## How Has This Been Tested?
<!--Describe in detail how these changes have been tested (include environment/devices).-->

## Type of change
<!--Put an 'x' in all of the boxes that apply.-->
- [ ] Bug fix (non-breaking change which fixes an issue)
- [ ] New feature (non-breaking change which adds functionality)
- [ ] Breaking change (fix or feature that would cause existing functionality to not work as expected)
- [ ] This change requires a documentation update
- [ ] Release activity

## Checklist:
<!--Put an 'x' in all of the boxes to assure following guidance.-->
Following the [Contributing Guidelines][3]
- [ ] My code follows the style guidelines of this project
- [ ] I have performed a self-review of my own code
- [ ] I have made corresponding changes to the documentation
- [ ] I have added tests that prove my fix is effective or that my feature works and they pass when merging upstream
- [ ] I have added an entry to the [Changelog][2] accordingly
- [ ] I have added my name to the [CONTRIBUTORS.md][1]
- [ ] I have [squashed related commits][4]

[1]: ./CONTRIBUTORS.md
[2]: ./CHANGELOG.md
[3]: ./CONTRIBUTING.md
[4]: http://gitready.com/advanced/2009/02/10/squashing-commits-with-rebase.html